<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension
         point="org.eclipse.emf.ecore.uri_mapping">
      <mapping
            source="pathmap://OLDAS_PROFILE/"
            target="platform:/plugin/org.eclipse.papyrus.oldas.profile/model/">
      </mapping>
   </extension>
   <extension
         point="org.eclipse.uml2.uml.generated_package">
      <package
            location="pathmap://OLDAS_PROFILE/OLDAS.profile.uml#_E5EDQGTxEe2ho8DpiUM0LA"
            uri="org.eclipse.papyrus.oldas.profile.package">
      </package>
   </extension>
   <extension
         point="org.eclipse.emf.validation.constraintProviders">
      <constraintProvider
            cache="true"
            mode="Batch">
         <package
               namespaceUri="http://www.eclipse.org/uml2/4.0.0/UML">
         </package>
         <package
               namespaceUri="http://www.eclipse.org/uml2/5.0.0/UML">
         </package>
         <constraints
               categories="org.eclipse.papyrus.oldas.profile.OLDAS.rules">
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.general.ExactlyOneStereotypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.general.ExactlyOneStereotypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C01: Exaclty One Stereotype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C01: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.world.ExactlyOneWorldConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.world.ExacltyOneWorldConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C02: Exactly One World Class"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C02: {0}
               </message>
               <target
                     class="Model">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.world.WorldCannotBeSubtypedOrSupertypedConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.world.WorldCannotBeSubtypedOrSupertypedConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C03: World Cannot Be Subtyped or Supertyped"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C03: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.world.WorldCannotBeAComponentConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.world.WorldCannotBeAComponentConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C04: World Cannot Be a Component of an Other Class "
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C04: {0}
               </message>
               <description>
                  Exception Not Allowed
               </description>
               <target
                     class="Association">
               </target>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.worldFeature.WorldFeaturesMustHaveCompositionRelationWithWorldConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.worldFeature.WorldFeaturesMustHaveCompositionRelationWithWorldConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C05: WorldFeatures Must Have Composition Association From World"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C05: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.worldFeature.WorldFeatureSupertypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.worldFeature.WorldFeatureSupertypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C06: World Feature Supertype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C06: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.worldFeature.WorldFeatureSubtypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.worldFeature.WorldFeatureSubtypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C07: World Feature Subtype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C07: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.operatingFeature.OperatingFeatureMustBeConnectedToTriggeringEventConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.operatingFeature.OperatingFeatureMustBeConnectedToTriggeringEventConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C08: Operating Feature Must Be Connected Through At Least One Participates Relation To a Triggering Event "
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C08: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.automationFeature.AutomationFeatureMustBeConnectedToMalfunctionEventConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.automationFeature.AutomationFeatureMustBeConnectedToMalfunctionEventConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C09: Automation Feature Must Be Connected Through At Least One Participates Relation To a Malfunction Event"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C09: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.antirigidsortal.AntiRigidSortalSupertypeRequirementsConstraint"
                  id="org.eclipse.papyrus.oldas.profile.oldas.profile.OLDAS.rules.class_stereotype.antirigidsortal.AntiRigidSortalSupertypeRequirementsConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C10: Anti-Rigid Sortal Supertype Requirements"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C10: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.antirigidsortal.AntiRigidSortalSubtypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.antirigidsortal.AntiRigidSortalSubtypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C11: Anti-Rigid Sortal Subtype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C11: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.antirigidsortal.AntiRigidSortalSupertypeRestrictionsConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.antirigidsortal.AntiRigidSortalSupertypeRestrictionsConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C12: Anti Rigid Sortal Supertype Restrictions"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C12: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.state.StateCannotDirectSubtypeCategoryConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.state.StateCannotDirectSubtypeCategoryConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C13: State Cannot Directly Subtype a Category"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C13: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.state.StateInGeneralizationSetConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.state.StateInGeneralizationSetConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C14: State in Generalization Set Disjoint and Complete with At Least Two Classes"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C14: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.role.RoleConnectedToRelatorConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.role.RoleConnectedToRelatorConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C15: Role Connected to Relator"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C15: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.abstractclass.AbstractClassCannotBeAntiRigidConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.abstractclass.AbstractClassCannotBeAntiRigidConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C16: Abstract Classes cannot be Anti-rigid"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C16: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.abstractclass.AbstractRigidMustHaveConcreteSubtypeWithSameTypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.abstractclass.AbstractRigidMustHaveConcreteSubtypeWithSameTypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C17: Abstract and Rigid Classes Must Have at Least One Concrete Subtype With the Same Stereotype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C17: {0}
               </message>
               <description>
                  Exception Not Allowed
               </description>
               <target
                     class="Class">
               </target>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.abstractclass.ConcreteRigidCannotHaveSubtypeWithSameTypeConstraint "
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.abstractclass.ConcreteRigidCannotHaveSubtypeWithSameTypeConstraint "
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C18: Concrete and Rigid Classes Cannot Have a Subtype With the Same Stereotype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C18: {0}
               </message>
               <description>
                  Exception Not Allowed
               </description>
               <target
                     class="Class">
               </target>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.property.PropertyMustBeConnectedToEndurantConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.property.PropertyMustBeConnectedToEndurantConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C19: Property Must Be Connected to an Endurant "
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C19: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.property.PropertySupertypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.property.PropertySupertypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C20: Property Supertype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C20: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.property.PropertySubtypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.property.PropertySubtypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C21: Property Subtype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C21: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.metric.MetricMustBeConnectedToPropertyConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.metric.MetricMustBeConnectedToPropertyConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C22: Metric Must Be Connected to a Property"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C22: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.metric.MetricSubtypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.metric.MetricSubtypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C23: Metric Subtype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C23: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.metric.MetricSupertypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.metric.MetricSupertypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C24: Metric Supertype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C24: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.relator.RelatorSupertypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.relator.RelatorSupertypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C25: Relator Supertype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C25: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.relator.RelatorSubtypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.relator.RelatorSubtypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C26: Relator Subtype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C26: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.relator.RelatorMustBeConnectedToEndurantConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.relator.RelatorMustBeConnectedToEndurantConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C27: Relator Must Be Connected to an Endurant"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C27: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.relator.RelatorSumOppositeEndsCardinalitiesConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.relator.RelatorSumOppositeEndsCardinalitiesConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C28: Relator Sum of the Minimum Cardinalities of the Opposite Ends of the Mediation"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C28: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint> 
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.category.CategorySupertypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.category.CategorySupertypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C29: Category Supertype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C29: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.category.CategoryAbstractConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.category.CategoryAbstractConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C30: Category Is Always Abstract"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C30: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.abstractevent.AbstractEventSupertypeSubtypeConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.abstractevent.AbstractEventSupertypeSubtypeConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C31: Abstract Event Subtype or Supertype"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C31: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.nominalevent.NominalEventCauseConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.nominalevent.NominalEventCauseConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C32: Nominal Event Cannot Cause Critical Event"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C32: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.triggeringevent.TriggeringEventMustCauseMalfunctionConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.triggeringevent.TriggeringEventMustCauseMalfunctionConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C33: Triggering Event Must Cause At Least One Malfunction Event"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C33: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.triggeringevent.TriggeringEventMustCauseMishapConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.triggeringevent.TriggeringEventMustCauseMishapConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C34: Triggering Event Must Cause At Least One Mishap Event"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C34: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.triggeringevent.TriggeringEventConnectedToOperatingFeatureConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.triggeringevent.TriggeringEventConnectedToOperatingFeatureConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C35: Triggering Must be Connected to At Least One Operating Feature"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C35: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.malfunctionevent.MalfunctionEventMustCauseMishapConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.malfunctionevent.MalfunctionEventMustCauseMishapConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C36: Malfunction Event Must Cause At Least One Mishap Event"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C36: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.malfunctionevent.MalfunctionCannotCauseTriggeringEventConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.malfunctionevent.MalfunctionCannotCauseTriggeringEventConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C37: Malfunction Cannot Cause a Triggering Event"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C37: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.malfunctionevent.MalfunctionConnectedToAutomationFeatureConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.malfunctionevent.MalfunctionConnectedToAutomationFeatureConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C38: Malfunction Event Must Be Connected To AutomationFeature"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C38: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.mishapevent.MishapCannotCauseTriggeringEventConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.mishapevent.MishapCannotCauseTriggeringEventConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C39: Mishap Cannot Cause a Triggering Event"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C39: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.mishapevent.MishapCannotCauseMalfunctionEventConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.class_stereotype.mishapevent.MishapCannotCauseMalfunctionEventConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C40: Mishap Cannot Cause a Malfunction Event"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C40: {0}
               </message>
               <target
                     class="Class">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.CharacterizesConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.CharacterizesConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C41: Characterizes Association"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C41: {0}
               </message>
               <target
                     class="Association">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.StructuresConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.StructuresConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C42: Structures Association"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C42: {0}
               </message>
               <target
                     class="Association">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.MediatesConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.MediatesConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C43: Mediates Association"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C43: {0}
               </message>
               <target
                     class="Association">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.ParticipatesConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.ParticipatesConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C44: Participates Association"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C44: {0}
               </message>
               <target
                     class="Association">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.GeneratesDestroysConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.GeneratesDestroysConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C45: Generates/Destroys Associations"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C45: {0}
               </message>
               <target
                     class="Association">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.ChangesFromChangesToConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.ChangesFromChangesToConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C46: ChangesFrom/ChangesTo Associations"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C46: {0}
               </message>
               <target
                     class="Association">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.CausesConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.CausesConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C47: Causes Associations"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C47: {0}
               </message>
               <target
                     class="Association">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
            <constraint
                  class="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.CreatesConstraint"
                  id="org.eclipse.papyrus.oldas.profile.OLDAS.rules.association_stereotype.CreatesConstraint"
                  isEnabledByDefault="true"
                  lang="Java"
                  mode="Batch"
                  name="C48: Creates Association"
                  severity="ERROR"
                  statusCode="1">
               <message>
                  C48: {0}
               </message>
               <target
                     class="Association">
               </target>
               <description>
                  Exception Not Allowed
               </description>
            </constraint>
         </constraints>
      </constraintProvider>
      <category
            id="org.eclipse.papyrus.oldas.profile.OLDAS.rules"
            mandatory="true"
            name="OLDAS Validation Rules">
      </category>
   </extension>
   <extension
         point="org.eclipse.emf.validation.constraintBindings">
      <clientContext
            default="false"
            id="org.eclipse.papyrus.oldas.profile.clientContext">
         <selector
               class="org.eclipse.papyrus.oldas.profile.OLDAS.ValidationDelegateClientSelector">
         </selector>
      </clientContext>
      <binding
            context="org.eclipse.papyrus.oldas.profile.clientContext">
         <category
               ref="org.eclipse.papyrus.oldas.profile.OLDAS.rules">
         </category>
      </binding>
   </extension>

   <extension point="org.eclipse.emf.ecore.generated_package">
      <!-- @generated OLDAS.profile -->
      <package
            uri="http://www.eclipse.org/papyrus/oldas"
            class="org.eclipse.papyrus.oldas.profile.OLDAS.OLDASPackage"
            genModel="genmodel/OLDAS.profile.genmodel"/>
   </extension>
   <extension
         point="org.eclipse.papyrus.uml.extensionpoints.UMLProfile">
      <profile
            description="Ontology Language for Dependability of Automated Systems"
            name="OLDAS"
            path="pathmap://OLDAS_PROFILE/OLDAS.profile.uml"
            provider="CEA list">
      </profile>
   </extension>

</plugin>
